package cn.com.countrygarden.bi.main.dto;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

public class canteenProblemDetaiDTO {
	
	private String id;
	
    private String staffId;
	
	 private String depname;//所属部门
	 
	 private String name;//答题人
	 
	  private String rqponame;
	  
	  private Integer typeid;
	 
	 private String problemId;
	 
	  private Integer questionnaireproblemoptionId;
	 
	 private List<String> scoreanswer;//分数答案
	 
	 @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	 	private Date createTime;
	 
	 

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public Integer getTypeid() {
		return typeid;
	}

	public void setTypeid(Integer typeid) {
		this.typeid = typeid;
	}

	public String getRqponame() {
		return rqponame;
	}

	public void setRqponame(String rqponame) {
		this.rqponame = rqponame;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getProblemId() {
		return problemId;
	}

	public void setProblemId(String problemId) {
		this.problemId = problemId;
	}

	public Integer getQuestionnaireproblemoptionId() {
		return questionnaireproblemoptionId;
	}

	public void setQuestionnaireproblemoptionId(Integer questionnaireproblemoptionId) {
		this.questionnaireproblemoptionId = questionnaireproblemoptionId;
	}

	public String getDepname() {
		return depname;
	}

	public void setDepname(String depname) {
		this.depname = depname;
	}

	public List<String> getScoreanswer() {
		return scoreanswer;
	}

	public void setScoreanswer(List<String> scoreanswer) {
		this.scoreanswer = scoreanswer;
	}
	 
	 

}
